> ## Documentation Index
> Fetch the complete documentation index at: https://docs.salu.com.vc/llms.txt
> Use this file to discover all available pages before exploring further.

# List Positions

<Info>
  This endpoint returns a list of <strong>positions</strong>.
  The response is an array of <code>PublicApiPositionBaseResponse</code>.
</Info>

## Overview

* **Method:** `GET`
* **Path:** `/v0/position/`
* **OperationId:** `public_list_positions_v0_position__get`
* **Authentication:** header `x-api-key` (`APIKeyHeader` in the OpenAPI)

<OpenAPIPlayground openapi="/public-api/openapi.json" operationId="public_list_positions_v0_position__get" />

### Example Request

```bash theme={null}
curl -X GET "https://public-api.salu.com.vc/dev/routes/v0/position/?page=0&limit=20" \
  -H "Accept: application/json" \
  -H "x-api-key: $SALU_PUBLIC_API_KEY"
```


## OpenAPI

````yaml GET /v0/position/
openapi: 3.1.0
info:
  title: Public API v0
  description: API publica da Salu para integracoes de SST.
  version: 0.1.0
servers:
  - url: https://public-api.salu.com.vc/dev/routes
    description: Development
  - url: https://public-api.salu.com.vc/prd/routes
    description: Production
security: []
paths:
  /v0/position/:
    get:
      tags:
        - Position
        - Position
      summary: Public List Positions
      operationId: public_list_positions_v0_position__get
      parameters:
        - name: is_active
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            title: Is Active
        - name: order_by
          in: query
          required: false
          schema:
            type: string
            default: created_at
            title: Order By
        - name: order_dir
          in: query
          required: false
          schema:
            type: string
            default: desc
            title: Order Dir
        - name: page
          in: query
          required: false
          schema:
            type: integer
            default: 0
            title: Page
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            default: 20
            title: Limit
        - name: organization_id
          in: query
          required: false
          schema:
            anyOf:
              - type: array
                items:
                  type: string
                  format: uuid
              - type: 'null'
            title: Organization Id
        - name: name
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Name
        - name: position_id
          in: query
          required: false
          schema:
            anyOf:
              - type: array
                items:
                  type: string
                  format: uuid
              - type: 'null'
            title: Position Id
        - name: cbo
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Cbo
        - name: hr_code
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Hr Code
        - name: client_integration_code
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Client Integration Code
        - name: updated_after
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Updated After
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListPublicApiPositionResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    ListPublicApiPositionResponse:
      properties:
        data:
          items:
            $ref: '#/components/schemas/PublicApiPositionBaseResponse'
          type: array
          title: Data
        cursor:
          anyOf:
            - $ref: '#/components/schemas/PaginateCursor'
            - type: 'null'
      type: object
      required:
        - data
        - cursor
      title: ListPublicApiPositionResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    PublicApiPositionBaseResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        organization_id:
          type: string
          format: uuid
          title: Organization Id
        name:
          type: string
          title: Name
        is_active:
          type: boolean
          title: Is Active
        hr_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Hr Code
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        cbo:
          anyOf:
            - type: string
            - type: 'null'
          title: Cbo
        client_integration_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Client Integration Code
      type: object
      required:
        - id
        - organization_id
        - name
        - is_active
      title: PublicApiPositionBaseResponse
    PaginateCursor:
      properties:
        total:
          type: integer
          title: Total
        page:
          type: integer
          title: Page
        page_size:
          type: integer
          title: Page Size
        total_pages:
          type: integer
          title: Total Pages
          readOnly: true
        next_page:
          type: boolean
          title: Next Page
          readOnly: true
      type: object
      required:
        - total
        - page
        - page_size
        - total_pages
        - next_page
      title: PaginateCursor
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: x-api-key

````